The Device Run API allows management, scheduling, and execution of automated sessions and workloads across device catalogs.
- REST Resource: v1alpha.projects.locations
- REST Resource: v1alpha.projects.locations.devices
- REST Resource: v1alpha.projects.locations.operations
- REST Resource: v1alpha.projects.locations.sessions
Service: devicerun.googleapis.com
To call this service, we recommend that you use the Google-provided client libraries. If your application needs to use your own libraries to call this service, use the following information when you make the API requests.
Discovery document
A Discovery Document is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:
Service endpoint
A service endpoint is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:
https://devicerun.googleapis.com
REST Resource: v1alpha.projects.locations
| Methods | |
|---|---|
get |
GET /v1alpha/{name=projects/*/locations/*} Gets information about a location. |
list |
GET /v1alpha/{name=projects/*}/locations Lists information about the supported locations for this service. |
REST Resource: v1alpha.projects.locations.devices
| Methods | |
|---|---|
get |
GET /v1alpha/{name=projects/*/locations/*/devices/*} Returns information about a specific device. |
list |
GET /v1alpha/{parent=projects/*/locations/*}/devices Lists all devices. |
REST Resource: v1alpha.projects.locations.operations
| Methods | |
|---|---|
cancel |
POST /v1alpha/{name=projects/*/locations/*/operations/*}:cancel Starts asynchronous cancellation on a long-running operation. |
delete |
DELETE /v1alpha/{name=projects/*/locations/*/operations/*} Deletes a long-running operation. |
get |
GET /v1alpha/{name=projects/*/locations/*/operations/*} Gets the latest state of a long-running operation. |
list |
GET /v1alpha/{name=projects/*/locations/*}/operations Lists operations that match the specified filter in the request. |
REST Resource: v1alpha.projects.locations.sessions
| Methods | |
|---|---|
cancel |
POST /v1alpha/{name=projects/*/locations/*/sessions/*}:cancel Cancels an in-progress automation session. |
create |
POST /v1alpha/{parent=projects/*/locations/*}/sessions Starts an automation session with the specified configuration. |
delete |
DELETE /v1alpha/{name=projects/*/locations/*/sessions/*} Deletes a session. |
get |
GET /v1alpha/{name=projects/*/locations/*/sessions/*} Returns information about a previously created automation session. |
list |
GET /v1alpha/{parent=projects/*/locations/*}/sessions Lists previously created automation sessions. |